com.r3corda.protocols / TwoPartyDealProtocol / Acceptor

# Acceptor

`class Acceptor : Secondary<AutoOffer>`

One side of the protocol for inserting a pre-agreed deal.

### Constructors

<init> | `Acceptor(otherParty: Party, progressTracker: ProgressTracker = Secondary.tracker())` One side of the protocol for inserting a pre-agreed deal.

### Properties

otherParty | `open val otherParty: Party`
progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.

### Functions

assembleSharedTX | `open fun assembleSharedTX(handshake: Handshake<AutoOffer>): <ERROR CLASS><TransactionBuilder, List<PublicKey>>`
validateHandshake | `open fun validateHandshake(handshake: Handshake<AutoOffer>): Handshake<AutoOffer>`

### Inherited Functions

call | `open fun call(): SignedTransaction` This is where you fill out your business logic.